<!DOCTYPE html>
<html>
<head>
	<title>HW7.2</title>
</head>
<body>
	<script>
		/*	Реализовать функцию фильтра массива по указанному типу данных.
			Написать функцию filterBy(), которая будет принимать в себя 2 аргумента. 
			Первый аргумент - массив, который будет содержать в себе любые данные, второй аргумент - тип данных.
			Функция должна вернуть новый массив, который будет содержать в себе все данные, которые были переданы в аргумент,
			за исключением тех, тип которых был передан вторым аргументом.
			То есть, если передать массив ['hello', 'world', 23, '23', null],
			и вторым аргументом передать 'string', то функция вернет массив [23, null]. */

		const filterBy = (arr, type) => arr.filter(e => (typeof e) !== type);

		console.log(filterBy(['hello', 'world', 23, '23', null], 'string'));
	</script>
</body>
</html>